// navigation.ts

import { useEffect } from 'react';
import { useLocation } from 'react-router-dom';
import { handleScrollToCollapse, openNestedTab, openTab } from './TabNavigation';
import { openFromOtherPage } from './openFromOtherpAge';

export const useNavigateTabs = (): void => {
  const location = useLocation();

  useEffect(() => {
    const params = new URLSearchParams(location.search);
    const collapseId = params.get('collapseId');
    const tabId = params.get('tab');
    const subTabId = params.get('subTab');

    if (tabId) {
      if (subTabId) {
        openNestedTab(tabId, subTabId);
      } else {
        openTab(tabId);
      }
    }

    if (collapseId) {
      handleScrollToCollapse(collapseId);
    }

    if (tabId) {
      openFromOtherPage(tabId)({ currentTarget: document.getElementById(tabId)! });
    }
  }, [location.search]);
};
